[Collapse]Collaborator 10
 [Expand]General Information/viewarticle/80040/
 [Expand]Getting Started/viewarticle/80359/
 [Expand]Collaborator Server/viewarticle/80060/
 [Expand]Web Client/viewarticle/80107/
 [Expand]Desktop Clients/viewarticle/80151/
 [Collapse]Version Control Integration/viewarticle/80048/
  [Expand]AccuRev Integration/viewarticle/80045/
  [Expand]CVS Integration/viewarticle/80129/
  [Expand]Git Integration/viewarticle/80194/
  [Expand]IBM Rational ClearCase Integration/viewarticle/80183/
  [Expand]IBM Rational Synergy Integration/viewarticle/80205/
  [Collapse]IBM Rational Team Concert Integration/viewarticle/80221/
    Overview/viewarticle/80116/
    How Integration Features Work/viewarticle/80437/
   [Expand]Configuring Servers and Plug-Ins/viewarticle/80438/
    Troubleshooting/viewarticle/80428/
  [Expand]Mercurial Integration/viewarticle/80214/
  [Expand]Microsoft Team Foundation Server Integration/viewarticle/80128/
  [Expand]PTC Integrity Integration/viewarticle/80198/
  [Expand]Perforce Integration/viewarticle/80126/
  [Expand]Subversion Integration/viewarticle/80125/
 [Expand]External Integrations/viewarticle/80340/
 [Expand]Techniques & Best Practices/viewarticle/80403/
 [Expand]Appendices/viewarticle/80117/
Updated: 12/23/2016 Applies To: Collaborator 10 Rating: No votes Click to rate: PoorNot badAverageGoodExcellent

Version Control Integration > IBM Rational Team Concert Integration

Top |Previous |Next

Rational Team Concert Integration - Overview

About Integration

Collaborator tightly integrates with Rational Team Concert. The integration helps you easily create reviews for Team Concert's work items, synchronize the list of reviewer participants and work item's approvers, and update the state attribute of users in the Approvals list automatically when the review status changes. For detailed information on the features, see How Integration Features Work.

Required Plug-Ins

The integration functionality is provided by two plug-ins:

One of them is installed on the Rational Team Concert server machine (Collaborator Plug-In for Rational Team Concert Server).
Another plug-in can be installed on user computers that have the Eclipse IDE (Collaborator Plug-In for Eclipse).

Both plug-ins can download from our web site:

For information on installing and configuring the plug-ins and servers, see topics of the Configuring Servers and Plug-Ins section. We strongly recommend that you read it.

Requirements

Integration with Rational Team Concert requires Rational Team Concert versions 2.x - 6.0.2.
Collaborator 7 and later supports Rational Team Concert versions 4.x and 6.0. If you have Team Concert versions 2 or 3, you need to use CodeCollaborator version 6.
Collaborator 10 currently supports Rational Team Concert version 6.0.1 and later.
To use some of the features, you need to have an Rational Team Concert plug-in for the Eclipse IDE on the computer, where you have Eclipse installed.

Version details

Plug-in Version

Details

10.0.10000 and later

Available for Rational Team Concert 6.0.1 and later versions.
Not compatible with previous Rational Team Concert versions because of RTC API changes.
Works with Collaborator  server 10.0.10000 and later.

8.5.8500 - 9.5.9501

Available for Rational Team Concert 4.x - 6.0.
Works with Collaborator  server 8.5.8500 - 9.5.9501.

8.4.8406 and earlier

Available for Rational Team Concert 4.x - 6.0.
Works with Collaborator server 8.4.8406 and earlier.
May cause issues on Collaborator server 9.5.9501, 10.0.10000 and later.

Comparison Table

Rational Team Concert Version

4.x - 6.0 (prior to 6.0.1)

6.0.1 and later

Collaborator Server Version

8.4.8406 - 9.5.9501

RTC server side: install 8.4.8406 plug-in
Eclipse side: install plug-in for the corresponding Collaborator Client version

Incompatible

10.0.10000 and later

Incompatible

RTC server side: install 10.x plug-in
Eclipse side: install 10.x plug-in




© 2019 SmartBear Software. All rights reserved.
Email Send feedback on this document